import { ItemwiseStrategyBasedIndicator } from "./ItemwiseStrategyBasedIndicator";
import { IndicatorDisplayType } from "./IndicatorDisplayType";
import { ItemwiseIndicatorCalculationStrategy } from "./ItemwiseIndicatorCalculationStrategy";
import { Type } from "igniteui-angular-core";
import { Series } from "./Series";
/**
 * @hidden
 */
export declare class MarketFacilitationIndexIndicator extends ItemwiseStrategyBasedIndicator {
    static $t: Type;
    protected bj(): Series;
    protected get_aa0(): IndicatorDisplayType;
    constructor();
    protected get_acf(): ItemwiseIndicatorCalculationStrategy;
    get acf(): ItemwiseIndicatorCalculationStrategy;
    protected get_ab6(): Type;
    protected get ab6(): Type;
}
